package com.engine.mzgsecond.service;

import com.engine.mzgsecond.entity.BirthdayRemindVo;
import com.engine.mzgsecond.entity.PersonInfoVo;
import com.engine.mzgsecond.entity.TodoNoticeTrainVo;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * @Author liang.cheng
 * @Date 2024/12/23 11:21 AM
 * @Description: 元素
 * @Version 1.0
 */
public interface PortalElementCusService {

    /**
     * @Description: 个人信息
     * @Author: liang.cheng
     * @Date: 2024/12/23 2:17 PM
     * @param: []
     * @return: com.engine.mzgsecond.entity.PersonInfoVo
     */
    PersonInfoVo personInfo();

    /**
     * @Description: 待办通知培训
     * @Author: liang.cheng
     * @Date: 2024/12/23 2:21 PM
     * @param: []
     * @return: com.engine.mzgsecond.entity.TodoNoticeTrainVo
     */
    List<TodoNoticeTrainVo> todoNoticeTrain(HttpServletRequest request, HttpServletResponse response);

    /**
     * @Description: 生日提醒 (当月)
     * @Author: liang.cheng
     * @Date: 2024/12/23 2:23 PM
     * @param: []
     * @return: com.engine.mzgsecond.entity.BirthdayRemindVo
     */
    List<BirthdayRemindVo> birthdayRemind();
}
